"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    chatInputTokenClassNames: function() {
        return chatInputTokenClassNames;
    },
    useChatInputTokenStyles_unstable: function() {
        return useChatInputTokenStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const chatInputTokenClassNames = {
    root: 'fai-ChatInputToken'
};
/**
 * Styles for the root slot
 */ const useBaseClassName = (0, _reactcomponents.__resetStyles)("r1ksolxu", null, [
    ".r1ksolxu{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:calc(var(--lineHeightBase200) + (2 * var(--spacingVerticalXXS)) + (2 * var(--strokeWidthThin)));background-color:var(--colorNeutralBackground3);border:var(--strokeWidthThin) solid var(--colorTransparentStroke);border-radius:var(--borderRadiusMedium);-webkit-box-decoration-break:clone;box-decoration-break:clone;color:var(--colorNeutralForeground2);padding:var(--spacingVerticalXXS) 0;}"
]);
const useChatInputTokenStyles_unstable = (state)=>{
    'use no memo';
    const baseClassName = useBaseClassName();
    state.root.className = (0, _reactcomponents.mergeClasses)(chatInputTokenClassNames.root, baseClassName, state.root.className);
    return state;
}; //# sourceMappingURL=useChatInputTokenStyles.styles.js.map
