import * as React from 'react';
import { ImperativeControlBase } from '@fluentui-copilot/chat-input-plugins';
import { useLexicalComposerContext } from '@fluentui-copilot/react-text-editor';
export const ImperativeControlPlugin = /*#__PURE__*/React.forwardRef((_props, ref) => {
  const [editor] = useLexicalComposerContext();
  React.useImperativeHandle(ref, () => new ImperativeControlBase(editor), [editor]);
  return null;
});
//# sourceMappingURL=ImperativeControl.js.map