"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    chatInputEntityClassNames: function() {
        return chatInputEntityClassNames;
    },
    useChatInputEntityStyles_unstable: function() {
        return useChatInputEntityStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const chatInputEntityClassNames = {
    root: 'fai-ChatInputEntity',
    sensitivity: 'fai-ChatInputEntity__sensitivity',
    text: 'fai-ChatInputEntity__text'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {},
    text: {
        sj55zd: "f16muhyy"
    },
    href: {
        sj55zd: "fyind8e",
        Bde5pd6: "f1tx3yz7",
        Bi91k9c: "f1deo86v",
        i089h6: "f1eh06m1",
        lj723h: "f1iescvh"
    },
    sensitivity: {
        uwmqm3: [
            "fgiv446",
            "ffczdla"
        ]
    }
}, {
    d: [
        ".f16muhyy{color:var(--colorBrandForeground1);}",
        ".fyind8e{color:var(--colorBrandForegroundLink);}",
        ".fgiv446{padding-left:var(--spacingHorizontalXXS);}",
        ".ffczdla{padding-right:var(--spacingHorizontalXXS);}"
    ],
    h: [
        ".f1tx3yz7:hover{text-decoration-line:underline;}",
        ".f1deo86v:hover{color:var(--colorBrandForegroundLinkHover);}"
    ],
    a: [
        ".f1eh06m1:active{text-decoration-line:underline;}",
        ".f1iescvh:active{color:var(--colorBrandForegroundLinkPressed);}"
    ]
});
const useChatInputEntityStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(chatInputEntityClassNames.root, styles.root, state.root.className);
    if (state.text) {
        state.text.className = (0, _reactcomponents.mergeClasses)(chatInputEntityClassNames.text, styles.text, state.text.as === 'a' && styles.href, state.text.className);
    }
    if (state.sensitivity) {
        state.sensitivity.className = (0, _reactcomponents.mergeClasses)(chatInputEntityClassNames.sensitivity, styles.sensitivity, state.sensitivity.className);
    }
    return state;
}; //# sourceMappingURL=useChatInputEntityStyles.styles.js.map
