"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "ImperativeControlPlugin", {
    enumerable: true,
    get: function() {
        return ImperativeControlPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const ImperativeControlPlugin = /*#__PURE__*/ _react.forwardRef((_props, ref)=>{
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    _react.useImperativeHandle(ref, ()=>new _chatinputplugins.ImperativeControlBase(editor), [
        editor
    ]);
    return null;
}); //# sourceMappingURL=ImperativeControl.js.map
