"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "ManualGhostTextPlugin", {
    enumerable: true,
    get: function() {
        return ManualGhostTextPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const _GhostText = require("../../GhostText");
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
const ManualGhostTextPlugin = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { id } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    _react.useImperativeHandle(ref, ()=>new _chatinputplugins.ManualGhostTextBase(editor, id, _GhostText.$isGhostTextNode, _GhostText.$createGhostTextNode), [
        editor,
        id
    ]);
    return null;
});
ManualGhostTextPlugin.displayName = 'ManualGhostTextPlugin'; //# sourceMappingURL=ManualGhostText.js.map
