"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "PasteUnfurlingPlugin", {
    enumerable: true,
    get: function() {
        return PasteUnfurlingPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
const _ChatInputEntity = require("../../ChatInputEntity");
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const PasteUnfurlingPlugin = (props)=>{
    const { $createEntityNode = _ChatInputEntity.$createChatInputEntityNode, ...rest } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    _react.useEffect(()=>{
        return (0, _chatinputplugins.registerPasteUnfurlingPlugin)(editor, {
            ...rest,
            $createEntityNode
        });
    }, [
        $createEntityNode,
        editor,
        rest
    ]);
    return null;
}; //# sourceMappingURL=PasteUnfurling.js.map
