import * as React from 'react';
import { useLexicalComposerContext } from '@fluentui-copilot/react-text-editor';
import { $createGhostTextNode, $isGhostTextNode } from '../../GhostText';
import { ManualGhostTextBase } from '@fluentui-copilot/chat-input-plugins';
export const ManualGhostTextPlugin = React.forwardRef((props, ref) => {
  const {
    id
  } = props;
  const [editor] = useLexicalComposerContext();
  React.useImperativeHandle(ref, () => new ManualGhostTextBase(editor, id, $isGhostTextNode, $createGhostTextNode), [editor, id]);
  return null;
});
ManualGhostTextPlugin.displayName = 'ManualGhostTextPlugin';
//# sourceMappingURL=ManualGhostText.js.map