import * as React from 'react';
import { registerPasteUnfurlingPlugin } from '@fluentui-copilot/chat-input-plugins';
import { $createChatInputEntityNode } from '../../ChatInputEntity';
import { useLexicalComposerContext } from '@fluentui-copilot/react-text-editor';
export const PasteUnfurlingPlugin = props => {
  const {
    $createEntityNode = $createChatInputEntityNode,
    ...rest
  } = props;
  const [editor] = useLexicalComposerContext();
  React.useEffect(() => {
    return registerPasteUnfurlingPlugin(editor, {
      ...rest,
      $createEntityNode
    });
  }, [$createEntityNode, editor, rest]);
  return null;
};
//# sourceMappingURL=PasteUnfurling.js.map